# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-genmarshal /usr/bin/glib-gettextize /usr/bin/gtkdocize
# END SourceDeps(oneline)
Name:           gtksourcecompletion
Version:        0.7.0
Release:        alt1_7
Summary:        Completion support for GtkSourceView

Group:          System/Libraries
# Note: mix of LGPLv2+ and LGPLv3+ files
License:        LGPLv3+
URL:            http://gtksourcecomple.sourceforge.net/
Source0:        http://cloud.github.com/downloads/chuchiperriman/gtksourcecompletion/gtksourcecompletion-%{version}.tar.gz

BuildRequires:  libgtksourceview-devel libglade2-devel
BuildRequires:  intltool gettext perl(XML/Parser.pm)
Source44: import.info
#Requires:       

%description
GtkSourceCompletion is a code completion library for GtkSourceView.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
GtkSourceCompletion is a code completion library for GtkSourceView.

The gtksourcecompletion-devel package contains libraries and header
files for developing applications that use GtkSourceCoompletion


%package        doc
Summary:        Documentation files for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    doc
GtkSourceCompletion is a code completion library for GtkSourceView.

The gtksourcecompletion-doc package contains documentation for
GtkSourceCompletion.


%prep
%setup -q


%build
%configure --disable-static
# remove hardcoded RPATHs
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}-2.0


%files -f %{name}-2.0.lang
# COPYING is wrong, not bundling for now
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/completion-*
%{_libdir}/*.so.*
%{_datadir}/gtksourcecompletion

%files devel
%doc
%{_bindir}/gio-test
%{_includedir}/gtksourcecompletion-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%doc
%{_datadir}/gtk-doc/html/gtksourcecompletion-2.0


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_7
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_6
- initial fc import

